/**
 * 
 */
package com.fp.alfresco.enums;

import java.util.Date;

/**
 * Enumeraci&oacute;n que contiene los valores constantes de los tipos de datos
 * @author bpt
 *
 */
public enum EnumDataType {
	/**
	 * Tipo de dato {@link String}
	 */
    STRING("string"),
    /**
     * Tipo de dato {@link Date}
     */
    DATE("date"),
    /**
     * Tipo de dato {@link Number}
     */
    NUMBER("number");

    /**
     * Contiene el valor ingresado de la enumeraci&oacute;n
     */
    private String value;

    private EnumDataType(String value) {
	this.value = value;
    }

    /**
     * @return Retorna el atributo value
     */
    public String getValue() {
	return this.value;
    }

    /**
     * @param value Par&aacute;metro a fijar en el atributo value
     */
    public void setValue(String value) {
	this.value = value;
    }

}
